
          const { Temporal } = require("@js-temporal/polyfill");
          const { URLPattern } = require("urlpattern-polyfill");
        
require('../transformers-CoBS-oFG.cjs');
require('../docloader-NJZ5ADV3.cjs');
require('../actor-Dd2E4F9C.cjs');
const require_middleware = require('../middleware-DGvzxKjo.cjs');
require('../lookup-BZzUCUat.cjs');
require('../key-CYrKbGH0.cjs');
require('../http-DH8DQz2-.cjs');
require('../proof-BzKiLsN7.cjs');
const require_federation = require('../federation-H2_En3j5.cjs');
require('../types-zwVAf9LF.cjs');
require('../authdocloader-B28UEZlz.cjs');
require('../vocab-Bj8iyEkG.cjs');

exports.InProcessMessageQueue = require_federation.InProcessMessageQueue;
exports.MemoryKvStore = require_federation.MemoryKvStore;
exports.ParallelMessageQueue = require_federation.ParallelMessageQueue;
exports.Router = require_middleware.Router;
exports.RouterError = require_middleware.RouterError;
exports.buildCollectionSynchronizationHeader = require_middleware.buildCollectionSynchronizationHeader;
exports.createExponentialBackoffPolicy = require_middleware.createExponentialBackoffPolicy;
exports.createFederation = require_middleware.createFederation;
exports.createFederationBuilder = require_middleware.createFederationBuilder;
exports.digest = require_middleware.digest;
exports.respondWithObject = require_middleware.respondWithObject;
exports.respondWithObjectIfAcceptable = require_middleware.respondWithObjectIfAcceptable;